Subject: Re: [regext] New Version Notification for draft-ietf-regext-org-ext-08.txt

From: "Linlin Zhou" <[email-masked]>
Date: Tue, 21 Aug 2018 11:06:52 +0800

Hi James,
Originaly, the text was "at least one and only one" , this is a little confusing. I reconsider this section and agree with you that this is not to have just only one <orgext:add>, <orgext:rem>, or <orgext:chg> element. I'll change the text to "At least one".

Regards,
Linlin

[email-masked]
 
From: Gould, James
Date: 2018-08-20 20:43
To: [email-masked]; Linlin Zhou; Junkai Wei; Jiankang Yao; Ning Kong
Subject: Re: New Version Notification for draft-ietf-regext-org-ext-08.txt
Linlin,
 
In reviewing draft-ietf-regext-org-ext-08, for the update it now states "Exactly one <orgext:add>, <orgext:rem>, or <orgext:chg> element MUST be provided".  Is this what is really desired, where a client can only add a set of roles, remove a set of roles, or change a set of roles, but cannot add, remove, and change the roles in a single command?  If that were the case, then the XML schema "updateType" would need to be changed from a <sequence> to a <choice> and the minOccurs="0" attribute would need to be removed from the "add", "rem", and "chg" elements.  My recommendation is to leave the XML schema as is, which will allow the client to submit an add, remove, and change in a single command, and to change the "Exactly one" to "At least one", since we don't want an update extension with no changes.  
 
Thanks,
  
—
JG

James Gould
Distinguished Engineer
[email-masked]
 
703-948-3271
12061 Bluemont Way
Reston, VA 20190
 
Verisign.com <http://verisigninc.com/> 
 
On 8/19/18, 11:03 PM, "[email-masked]" <[email-masked]> wrote:

    A new version of I-D, draft-ietf-regext-org-ext-08.txt
    has been successfully submitted by Linlin Zhou and posted to the
    IETF repository.
    
    Name: draft-ietf-regext-org-ext
    Revision: 08
    Title: Organization Extension for the Extensible Provisioning Protocol (EPP)
    Document date: 2018-08-20
    Group: regext
    Pages: 25
    URL:            https://www.ietf.org/internet-drafts/draft-ietf-regext-org-ext-08.txt
    Status:         https://datatracker.ietf.org/doc/draft-ietf-regext-org-ext/
    Htmlized:       https://tools.ietf.org/html/draft-ietf-regext-org-ext-08
    Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-regext-org-ext
    Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-regext-org-ext-08
    
    Abstract:
       This document describes an extension to EPP object mappings, which is
       designed to support assigning an organization to any existing object
       (domain, host, contact) as well as any future objects.

    
    Please note that it may take a couple of minutes from the time of submission
    until the htmlized version and diff are available at tools.ietf.org.
    
    The IETF Secretariat